![Banner](https://cdn.mctaylors.ru/cassette-banner-gitea.png)

<p align="center">
<span><b>Cassette</b> is a Discord bot that plays your most favourite music in your most visited voice channels.</span><br /><br />
<a href="https://git.mctaylors.ru/mctaylors/Cassette/src/branch/master/LICENSE"><img
    src="https://img.shields.io/badge/license-MIT-orange?logo=git"
    alt="License" /></a>
<a href="https://github.com/Remora/Remora.Discord"><img 
    src="https://img.shields.io/badge/powered_by-Remora.Discord-lightgray?logo=nuget"
    alt="Powered by Remora" /></a>
<a href="https://github.com/angelobreuer/Lavalink4NET"><img 
    src="https://img.shields.io/badge/powered_by-Lavalink4NET-blue?logo=nuget"
    alt="Powered by Lavalink4NET" /></a>
</p>

---

# Features

* `/play` — get music from URL or YouTube query
* `/resume` and `/pause` — resume & pause to take a break from music
* `/seek` — rewind tracks to "that" interesting part
* `/repeat` — repeat whole queue or that one favorite track
* `/setvolume` — set player volume for everyone in your channel

...and some more!

# Building & running Cassette [![](https://img.shields.io/github/v/release/lavalink-devs/Lavalink?logo=github&label=Lavalink%20release&color=orange)](https://github.com/lavalink-devs/Lavalink/releases/latest)

1. Install [.NET 8 SDK](https://dotnet.microsoft.com/en-us/download/dotnet/8.0)
2. Go to the [Discord Developer Portal](https://discord.com/developers), create a new application and get a bot token. Don't forget to also enable all intents!
3. Download, configure[^1] & run [Lavalink](https://github.com/lavalink-devs/Lavalink) node
```shell
java -jar Lavalink.jar
```
4. Clone this repository and open `Cassette` folder.
```shell
git clone https://git.mctaylors.ru/mctaylors/Cassette
cd Cassette
```
5. Run Cassette using `dotnet` with `BOT_TOKEN` variable.
```shell
dotnet run BOT_TOKEN='ENTER_TOKEN_HERE'
```

[^1]: https://lavalink.dev/configuration